Package com.smartgwt.client.widgets.grid

# Class RecordEditor

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.layout.Layout
com.smartgwt.client.widgets.layout.VLayout
com.smartgwt.client.widgets.grid.ListGrid
com.smartgwt.client.widgets.grid.RecordEditor

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `DataBoundComponent`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragCompleteHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropCompleteHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFetchDataHandlers`, `HasFocusChangedHandlers`, `HasFormulaUpdatedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasVisibilityChangedHandlers`, `HasBodyKeyPressHandlers`, `HasCellClickHandlers`, `HasCellContextClickHandlers`, `HasCellDoubleClickHandlers`, `HasCellErrorIconHoverHandlers`, `HasCellErrorIconOutHandlers`, `HasCellErrorIconOverHandlers`, `HasCellHoverHandlers`, `HasCellMouseDownHandlers`, `HasCellMouseUpHandlers`, `HasCellOutHandlers`, `HasCellOverHandlers`, `HasCellSavedHandlers`, `HasCellSelectionChangedHandlers`, `HasCellValueHoverHandlers`, `HasCriteriaChangedHandlers`, `HasDataArrivedHandlers`, `HasDataChangedHandlers`, `HasDrawAreaChangedHandlers`, `HasEditCompleteHandlers`, `HasEditFailedHandlers`, `HasEditorEnterHandlers`, `HasEditorExitHandlers`, `HasFieldStateChangedHandlers`, `HasFilterEditorSubmitHandlers`, `HasGroupByCompleteHandlers`, `HasGroupByHandlers`, `HasGroupStateChangedHandlers`, `HasGroupTreeChangedHandlers`, `HasHeaderClickHandlers`, `HasHeaderDoubleClickHandlers`, `HasHeaderHoverHandlers`, `HasHilitesChangedHandlers`, `HasRecordClickHandlers`, `HasRecordCollapseHandlers`, `HasRecordDoubleClickHandlers`, `HasRecordDropHandlers`, `HasRecordExpandHandlers`, `HasRegroupHandlers`, `HasRemoveRecordClickHandlers`, `HasRowContextClickHandlers`, `HasRowEditorEnterHandlers`, `HasRowEditorExitHandlers`, `HasRowHoverHandlers`, `HasRowMouseDownHandlers`, `HasRowMouseUpHandlers`, `HasRowOutHandlers`, `HasRowOverHandlers`, `HasSelectionChangedHandlers`, `HasSelectionUpdatedHandlers`, `HasSetSortHandlers`, `HasSortChangedHandlers`, `HasSorterClickHandlers`, `HasSorterContextClickHandlers`, `HasViewStateChangedHandlers`, `HasMembersChangedHandlers`

public class RecordEditor extends ListGrid
Component for editing a single record.
RecordEditors are implemented as a subclass of ListGrid, showing no header and a single row always drawn in the editable state, allowing the user to modify the values at any time. The `actionButton` is automatically shown as a way for the user to act upon the edited values.

The RecordEditor class exists as a helper class for ListGrids, used to provide an interface for editing criteria when `filterEditor` is set to true.

See Also:
  - `ListGrid.getShowFilterEditor()`
  - `ListGrid.getFilterEditor()`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecordEditor()`
  `RecordEditor(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `protected JavaScriptObject`
  `create()`
  `Button`
  `getActionButton()`
  Deprecated.
  in favor of `getActionCanvas()`
  `Button`
  `getActionButtonProperties()`
  Properties to apply to the automatically generated `actionButton`.
  `String`
  `getActionButtonStyle()`
  `baseStyle` for the `actionButton`
  `StatefulCanvas`
  `getActionCanvas()`
  Automatically created Button auto-child shown at the edge of the recordEditor.
  `String`
  `getBaseStyle()`
  `base cell style` for this listGrid.
  `boolean`
  `getCanSaveSearches()`
  CanSaveSearches is explicitly disabled for RecordEditors by default.
  `String`
  `getFilterImg()`
  `Icon` to show on the `actionButton` if this component is being used as a `ListGrid.filterEditor`.
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `static RecordEditor`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getRecordSummaryBaseStyle()`
  If showing any record summary fields (IE: fields of `type:"summary"`), this attribute specifies a custom base style to apply to cells in the summary field
  `String`
  `getSkinImgDir()`
  Where do 'skin' images (those provided with the class) live?
  `boolean`
  `getSuppressNullValueFormat()`
  Should non-editable fields within this record-editor always display the `empty cell value` for null values rather than running any specified `static formatters`?
  `protected RecordEditor`
  `getTestInstance()`
  `void`
  `performAction()`
  Fired when the user clicks the `actionButton` for this RecordEditor.
  `RecordEditor`
  `setActionButtonProperties(Button actionButtonProperties)`
  Properties to apply to the automatically generated `actionButton`.
  `RecordEditor`
  `setActionButtonStyle(String actionButtonStyle)`
  `baseStyle` for the `actionButton`
  `RecordEditor`
  `setBaseStyle(String baseStyle)`
  `base cell style` for this listGrid.
  `RecordEditor`
  `setCanSaveSearches(boolean canSaveSearches)`
  CanSaveSearches is explicitly disabled for RecordEditors by default.
  `static void`
  `setDefaultProperties(RecordEditor recordEditorProperties)`
  Class level method to set the default properties of this class.
  `RecordEditor`
  `setFilterImg(String filterImg)`
  `Icon` to show on the `actionButton` if this component is being used as a `ListGrid.filterEditor`.
  `LogicalStructureObject`
  `setLogicalStructure(RecordEditorLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `RecordEditor`
  `setRecordSummaryBaseStyle(String recordSummaryBaseStyle)`
  If showing any record summary fields (IE: fields of `type:"summary"`), this attribute specifies a custom base style to apply to cells in the summary field
  `RecordEditor`
  `setSkinImgDir(String skinImgDir)`
  Where do 'skin' images (those provided with the class) live?
  `RecordEditor`
  `setSuppressNullValueFormat(boolean suppressNullValueFormat)`
  Should non-editable fields within this record-editor always display the `empty cell value` for null values rather than running any specified `static formatters`?

  ### Methods inherited from class com.smartgwt.client.widgets.grid.ListGrid

  `addBodyKeyPressHandler, addCellClickHandler, addCellContextClickHandler, addCellDoubleClickHandler, addCellErrorIconHoverHandler, addCellErrorIconOutHandler, addCellErrorIconOverHandler, addCellHoverHandler, addCellMouseDownHandler, addCellMouseUpHandler, addCellOutHandler, addCellOverHandler, addCellSavedHandler, addCellSelectionChangedHandler, addCellValueHoverHandler, addCriteriaChangedHandler, addData, addData, addData, addDataArrivedHandler, addDataChangedHandler, addDragCompleteHandler, addDrawAreaChangedHandler, addDropCompleteHandler, addEditCompleteHandler, addEditFailedHandler, addEditorEnterHandler, addEditorExitHandler, addEmbeddedComponent, addEmbeddedComponent, addEmbeddedComponent, addEmbeddedComponent, addFetchDataHandler, addFieldStateChangedHandler, addFilterEditorSubmitHandler, addFormulaField, addFormulaUpdatedHandler, addGroupByCompleteHandler, addGroupByHandler, addGroupStateChangedHandler, addGroupTreeChangedHandler, addHeaderClickHandler, addHeaderDoubleClickHandler, addHeaderHoverHandler, addHilitesChangedHandler, addRecordClickHandler, addRecordCollapseHandler, addRecordDoubleClickHandler, addRecordDropHandler, addRecordExpandHandler, addRegroupHandler, addRemoveRecordClickHandler, addRowContextClickHandler, addRowEditorEnterHandler, addRowEditorExitHandler, addRowHoverHandler, addRowMouseDownHandler, addRowMouseUpHandler, addRowOutHandler, addRowOverHandler, addSelectionChangedHandler, addSelectionUpdatedHandler, addSetSortHandler, addSort, addSortChangedHandler, addSorterClickHandler, addSorterContextClickHandler, addSummaryField, addViewStateChangedHandler, anySelected, applyCellData, applyRecordData, applySortToData, askForSort, autoFitField, autoFitFields, autoFitFields, cancelEditing, canEditCell, canExpandRecord, canSelectCell, canSelectRecord, cellHasChanges, cellHasErrors, cellHasErrors, cellValueHoverHTML, cellValueIsClipped, chartData, chartData, chartData, chartData, chartData, clearAllCriteria, clearCriteria, clearCriteria, clearCriteria, clearEditValue, clearFieldError, clearFieldError, clearFieldSearchOperator, clearFilterWindowCriteria, clearRowErrors, clearSavedViewState, clearSort, closeGroup, closeRecord, collapseRecord, collapseRecords, configureGrouping, createRecordComponent, dataChangedComplete, dataChangedComplete, deselectAllRecords, deselectRange, deselectRecord, deselectRecord, deselectRecords, deselectRecords, disableHilite, disableHiliting, discardAllEdits, discardAllEdits, discardAllEdits, discardEdits, discardEdits, displayHeaderContextMenu, displaySort, drop, editExistingRecord, editExistingRecord, editFields, editHilites, enableHilite, enableHilite, enableHiliting, enableHiliting, endEditing, expandRecord, expandRecords, exportClientData, exportClientData, exportClientData, exportData, exportData, exportData, fetchData, fetchData, fetchData, fetchData, fetchRelatedData, fetchRelatedData, fetchRelatedData, fetchRelatedData, fetchRelatedData, fetchRowCount, fetchRowCount, fetchRowCount, fieldIsEditable, fieldIsEditable, fieldIsEditable, fieldIsVisible, filterByEditor, filterData, filterData, filterData, filterData, filterViaAI, filterViaAI, find, findAll, findIndex, findNextEditCell, findNextIndex, findNextIndex, focusInCell, focusInFilterEditor, focusInFilterEditor, focusInRow, freezeField, freezeField, freezeField, freezeField, freezeFields, freezeFields, getAddDropValues, getAddFormulaFieldText, getAddOperation, getAddSummaryFieldText, getAdvancedFieldPickerThreshold, getAdvancedFilteringText, getAiFilterWindow, getAiFilterWindowHint, getAiFilterWindowInstructions, getAiFilterWindowTitle, getAiHiliteWindow, getAiHoverContentsPrefix, getAiHoverRetryDelay, getAiSortFieldMaxRecordsMessage, getAiSortProgressDialog, getAllEditRows, getAllFields, getAllowFilterExpressions, getAllowFilterOperators, getAllowFilterWindow, getAllowRowSpanning, getAlternateBodyStyleName, getAlternateFieldFrequency, getAlternateFieldStyles, getAlternateFieldSuffix, getAlternateRecordFrequency, getAlternateRecordStyles, getAlternateRecordSuffix, getAlwaysShowEditors, getAlwaysShowOperatorIcon, getAnimateFolderEffect, getAnimateFolderMaxRows, getAnimateFolders, getAnimateFolderSpeed, getAnimateFolderTime, getAnimateRemoveRecord, getAnimateRemoveSpeed, getAnimateRemoveTime, getAnimateRollOver, getAnimateRollUnder, getAnimateSelection, getAnimateSelectionUnder, getApplyFormulaAfterSummary, getApplyRowCountToLength, getApplyRowNumberStyle, getApproximateRowCountFormat, getAriaRole, getAriaState, getAriaStateDefaults, getArrowKeyAction, getArrowKeyEditAction, getAsyncErrorCellValue, getAsynchGroupingPrompt, getAsyncMissingCellValue, getAutoComplete, getAutoConfirmSaveEdits, getAutoFetchAsFilter, getAutoFetchData, getAutoFetchDisplayMap, getAutoFetchRowCount, getAutoFetchTextMatchStyle, getAutoFitAllText, getAutoFitClipFields, getAutoFitData, getAutoFitDateFields, getAutoFitExpandField, getAutoFitExtraRecords, getAutoFitFieldsFillViewport, getAutoFitFieldText, getAutoFitFieldWidths, getAutoFitHeaderHeights, getAutoFitIconFields, getAutoFitMaxColumns, getAutoFitMaxHeight, getAutoFitMaxRecords, getAutoFitMaxWidth, getAutoFitMaxWidthAsString, getAutoFitTimeFields, getAutoFitWidthApproach, getAutoPersistViewState, getAutoSaveEdits, getAutoSizeHeaderSpans, getBackgroundComponent, getBadFormulaResultValue, getBaseStyle, getBlockingRowCountFetch, getBody, getBodyBackgroundColor, getBodyOverflow, getBodyScrollLeft, getBodyScrollTop, getBodyStyleName, getBooleanBaseStyle, getBooleanFalseImage, getBooleanImageHeight, getBooleanImageWidth, getBooleanPartialImage, getBooleanTrueImage, getBriefRowRangeDisplayValue, getCanAcceptDroppedRecords, getCanAddAISortFields, getCanAddFormulaFields, getCanAddSummaryFields, getCanAutoFitFields, getCancelEditingConfirmationMessage, getCanCollapseGroup, getCanConfigureViaAI, getCanDragRecordsOut, getCanDragSelect, getCanDragSelectText, getCanDropInEmptyArea, getCanEdit, getCanEditHilites, getCanEditTitles, getCanExpandMultipleRecords, getCanExpandRecordProperty, getCanExpandRecords, getCanFocusInEmptyGrid, getCanFreezeFields, getCanGroupBy, getCanHiliteViaAI, getCanHover, getCanMultiGroup, getCanMultiSort, getCanPickFields, getCanPickOmittedFields, getCanRemoveRecords, getCanReorderFields, getCanReorderRecords, getCanRequestRowCount, getCanResizeFields, getCanSelectAll, getCanSelectCells, getCanSelectGroups, getCanSelectSummaryRows, getCanShowFilterEditor, getCanSort, getCanTabToHeader, getCanTabToSorter, getCellAriaState, getCellContextMenu, getCellContextMenuItems, getCellCSSText, getCellErrors, getCellHeight, getCellHoverComponent, getCellPadding, getCellPageRect, getCellRole, getCellRowSpan, getCellSelection, getCellStartRow, getCellStyle, getCellValue, getChartConstructor, getChartType, getCheckboxFieldFalseImage, getCheckboxFieldImageHeight, getCheckboxFieldImageWidth, getCheckboxFieldPartialImage, getCheckboxFieldTrueImage, getChildExpansionMode, getClearAllSortingText, getClearCriteriaOnFilterEditorHide, getClearFilterText, getClearFilterViaAIText, getClearSortFieldText, getClipHeaderTitles, getCollapseGroupOnRowClick, getColumnLeft, getColumnPageLeft, getColumnWidth, getConfigureGroupingText, getConfigureSortText, getConfigureViaAIText, getConfirmCancelEditing, getConfirmDiscardEdits, getConfirmDiscardEditsMessage, getCriteria, getCriteriaIndicatorColor, getCriteriaIndicatorHeaderColor, getCurrentExpansionComponent, getCurrentExpansionComponent, getCurrentFieldWidths, getDataArity, getDataAsJSList, getDataAsRecordList, getDataFetchDelay, getDataFetchMode, getDataPageSize, getDataSource, getDateFormatter, getDatetimeFormatter, getDeepCloneOnEdit, getDefaultDateFieldWidth, getDefaultDateTimeFieldWidth, getDefaultEditableDateFieldWidth, getDefaultEditableDateTimeFieldWidth, getDefaultFields, getDefaultFilterOperator, getDefaultFilterOperatorSuffix, getDefaultFormattedFieldValue, getDefaultFormattedFieldValue, getDefaultFormattedFieldValue, getDefaultFormattedValue, getDefaultTimeFieldWidth, getDeferRemoval, getDeselectOnPartialCheckboxClick, getDetailDS, getDetailField, getDisabledGroupByPrompt, getDiscardDataOnSetFetchOperation, getDiscardEditsOnHideField, getDiscardEditsSaveButtonTitle, getDisplayValue, getDisplayValue, getDisplayValue, getDisplayValue, getDisplayValue, getDragData, getDragDataAction, getDragHandleField, getDragHandleFieldTitle, getDragHandleIcon, getDragHandleIconSize, getDragRecategorize, getDragScrollRedrawDelay, getDragTrackerMode, getDragTrackerStyle, getDrawAheadRatio, getDrawAllMaxCells, getDrawArea, getDrawnRowHeight, getDrawnRows, getDropValues, getDuplicateDragMessage, getEditByCell, getEditCol, getEditedCell, getEditedCell, getEditedCell, getEditedCell, getEditedRecord, getEditEvent, getEditFailedBaseStyle, getEditFailedCSSText, getEditFormItem, getEditFormItem, getEditFormulaFieldText, getEditOnF2Keypress, getEditOnFocus, getEditPendingBaseStyle, getEditPendingCSSText, getEditPendingMarkerStyle, getEditProxyConstructor, getEditRow, getEditSelectionType, getEditSummaryFieldText, getEditValue, getEditValue, getEditValueAsBoolean, getEditValueAsDate, getEditValueAsFloat, getEditValueAsInt, getEditValueAsRecord, getEditValueAsRecordArray, getEditValueAsString, getEditValues, getEditValues, getEmbeddedComponentIndent, getEmbeddedComponentMargin, getEmptyAIHoverContents, getEmptyCellValue, getEmptyMessage, getEmptyMessageStyle, getEmptyRowRangeDisplayValue, getEnforceVClipping, getEnterKeyEditAction, getEnumCriteriaAsInitialValues, getErrorIconHeight, getErrorIconSrc, getErrorIconWidth, getEscapeKeyEditAction, getEventColumn, getEventColumn, getEventRow, getEventRow, getExactRowCountFormat, getExpandedRecords, getExpansionCanEdit, getExpansionComponent, getExpansionComponentPoolingMode, getExpansionDetailField, getExpansionDetailRelated, getExpansionDetails, getExpansionEditor, getExpansionEditorCollapseOnSave, getExpansionEditorSaveButton, getExpansionEditorSaveButtonTitle, getExpansionEditorSaveDialogPrompt, getExpansionEditorShowSaveDialog, getExpansionField, getExpansionFieldFalseImage, getExpansionFieldImageHeight, getExpansionFieldImageShowRTL, getExpansionFieldImageShowSelected, getExpansionFieldImageStyle, getExpansionFieldImageWidth, getExpansionFieldTrueImage, getExpansionIndent, getExpansionLayout, getExpansionMode, getExpansionRelated, getExpansionScreen, getExplicitFetchDelay, getExportAll, getExportAlternateRowBGColor, getExportBGColor, getExportColumnBGColor, getExportColumnWidthPadding, getExportDefaultBGColor, getExportFieldAlignments, getExportFields, getExportFieldWidths, getExportHeaderHeights, getExportHiddenFieldWidth, getExportIncludeSummaries, getExportRawNumbers, getExportRawValues, getExportRowBGColor, getExportTextColor, getExportWidthScale, getExportWrapCells, getExportWrapHeaderTitles, getFetchDelay, getFetchFields, getFetchFieldsAsString, getFetchOperation, getFetchRequestProperties, getField, getField, getFieldAlignments, getFieldByName, getFieldContentWidth, getFieldCount, getFieldCriteriaText, getFieldName, getFieldNum, getFieldNum, getFieldPickerFieldProperties, getFieldPickerShowSampleValues, getFieldPickerWindow, getFields, getFieldsAsJavaScriptObjects, getFieldSearchOperator, getFieldState, getFieldTitle, getFieldTitle, getFieldVisibilitySubmenuTitle, getFieldWidth, getFieldWidth, getFilterButtonPrompt, getFilterButtonProperties, getFilterByCell, getFilterEditor, getFilterEditorCriteria, getFilterEditorCriteria, getFilterEditorCriteriaAsAdvancedCriteria, getFilterEditorCriterion, getFilterEditorHeight, getFilterEditorProperties, getFilterLocalData, getFilterOnKeypress, getFilterUsingText, getFilterViaAIMode, getFilterViaAIPanelInstructions, getFilterViaAIText, getFilterWindow, getFilterWindowCriteria, getFilterWindowCriteriaIndicator, getFilterWindowFilter, getFilterWindowInstructions, getFilterWindowTitle, getFirstCellStyle, getFixedFieldWidths, getFixedRecordHeights, getFocusRow, getFormattedRowCount, getFormattedRowRange, getFormattedValue, getFormulaBuilderSpanTitleSeparator, getFormulaFieldValue, getFreezeFieldText, getFrozenBaseStyle, getFrozenBodyStyleName, getFrozenFieldsMaxWidth, getFrozenFieldsMaxWidthAsInt, getFrozenHeaderBaseStyle, getFrozenHeaderTitleStyle, getFrozenRollOverCanvas, getFrozenRollUnderCanvas, getFullRowRangeDisplayValue, getGenerateClickOnEnter, getGenerateClickOnSpace, getGenerateDoubleClickOnEnter, getGenerateDoubleClickOnSpace, getGridAdditionalCriteriaText, getGridComponents, getGridRenderer, getGridSummary, getGridSummaryData, getGridSummaryRecordProperty, getGroupByAsyncThreshold, getGroupByFields, getGroupByFieldSummaries, getGroupByMaxRecords, getGroupByMaxRecordsExceededMessage, getGroupByText, getGroupedRecordIndex, getGroupIcon, getGroupIconSize, getGroupIconStyle, getGroupIndentSize, getGroupLeadingIndent, getGroupMembers, getGroupNodeBaseStyle, getGroupNodeStyle, getGroupSortDirection, getGroupState, getGroupSummaryData, getGroupSummaryData, getGroupSummaryData, getGroupSummaryData, getGroupSummaryRecordProperty, getGroupSummaryStyle, getGroupTitleColumnProperties, getGroupTitleField, getGroupTree, getGroupTreeSelection, getGroupTreeSelection, getGroupTreeSelection, getHeader, getHeaderAriaRole, getHeaderAutoFitEvent, getHeaderBackgroundColor, getHeaderBarStyle, getHeaderBaseStyle, getHeaderButtonAriaRole, getHeaderButtonAriaState, getHeaderButtonProperties, getHeaderContextMenu, getHeaderContextMenuItems, getHeaderHeight, getHeaderHoverAlign, getHeaderHoverHeight, getHeaderHoverOpacity, getHeaderHoverStyle, getHeaderHoverVAlign, getHeaderHoverWidth, getHeaderHoverWrap, getHeaderMenuButton, getHeaderMenuButtonHeight, getHeaderMenuButtonHeightAsString, getHeaderMenuButtonIcon, getHeaderMenuButtonIconHeight, getHeaderMenuButtonIconWidth, getHeaderMenuButtonSnapOffsetLeft, getHeaderMenuButtonWidth, getHeaderRadius, getHeaderShadowColor, getHeaderShadowHOffset, getHeaderShadowSoftness, getHeaderShadowVOffset, getHeaderSpan, getHeaderSpanContextMenuItems, getHeaderSpanHeight, getHeaderTitleStyle, getHeaderTitleVAlign, getHeightForRows, getHeightForRows, getHideEmptySummaryRow, getHideFilterEditorTitle, getHiliteCanReplaceValue, getHiliteEditorSpanTitleSeparator, getHiliteHTMLAfterFormat, getHiliteIconHeight, getHiliteIconLeftPadding, getHiliteIconPosition, getHiliteIconRightPadding, getHiliteIcons, getHiliteIconSize, getHiliteIconWidth, getHiliteProperty, getHiliteReplaceValueFieldTitle, getHiliteRowOnFocus, getHilites, getHiliteState, getHiliteViaAIMode, getHiliteViaAIText, getHoverMode, getHoverScreen, getHoverStyle, getIconCursor, getIconPadding, getImageSize, getImplicitCriteria, getIncludeHilitesInSummaryFields, getIncludeInSummaryProperty, getInitialCriteria, getInitialSort, getInstantScrollTrackRedraw, getInvalidSummaryValue, getIsGrouped, getIsSeparatorProperty, getLastCellStyle, getLeaveScrollbarGap, getLinkTextProperty, getLinkTextStyleName, getListEndEditAction, getLoadingDataMessage, getLoadingDataMessageStyle, getLoadingMessage, getLoadingRowCountDisplayIcoHeight, getLoadingRowCountDisplayIcon, getLoadingRowCountDisplayIconWidth, getLocateColumnsBy, getLocateRowsBy, getLongTextEditorThreshold, getLongTextEditorType, getMaxExpandedRecords, getMaxExpandedRecordsPrompt, getMaximumRowCountFormat, getMaxSummaryRowRecords, getMinFieldWidth, getMinHeight, getMinimumCellHeight, getMinimumRowCountFormat, getMissingSummaryFieldValue, getModalEditing, getMultiGroupDialogDefaults, getMultiGroupDialogProperties, getNavigateOnTab, getNeverValidate, getNewRecordRowMessage, getNewSearchText, getNormalBaseStyle, getNormalCellHeight, getNoSavedSearchesText, getNullGroupTitle, getOfflineMessageStyle, getOperatorIcon, getOriginalRecordList, getOriginalResultSet, getOriginBaseStyle, getOverflow, getPendingAsyncCellValue, getPlaceholderAIHoverContents, getPoolComponentsPerColumn, getPreserveFocusStylingOnMouseOut, getPreserveWhitespace, getPreventDuplicates, getPrintAutoFit, getPrintBaseStyle, getPrintBooleanBaseStyle, getPrintBooleanFalseImage, getPrintBooleanPartialImage, getPrintBooleanTrueImage, getPrintCheckboxFieldFalseImage, getPrintCheckboxFieldPartialImage, getPrintCheckboxFieldTrueImage, getPrintHeaderStyle, getPrintMaxRows, getPrintWrapCells, getProgressiveLoading, getQuickDrawAheadRatio, getRangeRowCountFormat, getRecord, getRecordBaseStyleProperty, getRecordCanRemoveProperty, getRecordCanSelectProperty, getRecordCellRoleProperty, getRecordComponent, getRecordComponent, getRecordComponentHeight, getRecordComponentPoolingMode, getRecordComponentPosition, getRecordDetailDSProperty, getRecordDropAppearance, getRecordDropPosition, getRecordEditProperty, getRecordEnabledProperty, getRecordIndex, getRecordIndex, getRecordList, getRecordRadius, getRecordRadiusTargets, getRecordRowAriaStateProperty, getRecordRowRoleProperty, getRecords, getRecordScreen, getRecordShowRollOverProperty, getRecordSummaryAttributePrefix, getRelatedDataSource, getRemovedCSSText, getRemoveFieldDefaults, getRemoveFieldProperties, getRemoveFieldTitle, getRemoveIcon, getRemoveIconSize, getRemoveIconStyle, getRemoveOperation, getReselectOnUpdate, getReselectOnUpdateNotifications, getResizeFieldsInRealTime, getResultSet, getReverseRTLAlign, getRollOverCanvas, getRollUnderCanvas, getRotatedHeaderMenuButtonHeight, getRotatedHeaderMenuButtonHeightAsString, getRotatedHeaderMenuButtonWidth, getRotateHeaderTitles, getRowAriaState, getRowCount, getRowCountDisplayPrecision, getRowCountRange, getRowCountStatus, getRowEndEditAction, getRowErrors, getRowHeight, getRowLocatorField, getRowLocatorFieldAsStringArray, getRowNum, getRowNumberField, getRowNumberStart, getRowNumberStyle, getRowPageTop, getRowRangeDisplay, getRowRangeDisplayStyle, getRowRangeDisplayValue, getRowRangeFormat, getRowRole, getRowSpan, getRowSpanEditMode, getRowSpanSelectionMode, getRowTop, getSaveByCell, getSaveCriteriaInViewState, getSaveDefaultSearch, getSavedSearchAdminRole, getSavedSearchAdminSeparator, getSavedSearchDS, getSavedSearchId, getSavedSearchStoredState, getSavedSearchText, getSavedViewState, getSaveLocally, getSaveRequestProperties, getScreenReaderCellSeparator, getScreenReaderIncludeFieldTitles, getScreenReaderNavigateByCell, getScreenReaderRowSeparator, getScreenReaderWriteRowLabelledBy, getScrollRedrawDelay, getScrollToCellXPosition, getScrollToCellYPosition, getScrollWheelRedrawDelay, getSearchForm, getSearchFormAsValuesManager, getSelectCellTextOnClick, getSelectedCellData, getSelectedRecord, getSelectedRecords, getSelectedRecords, getSelectedState, getSelectHeaderOnSort, getSelection, getSelection, getSelectionAppearance, getSelectionProperty, getSelectionType, getSelectOnEdit, getSelectOnExpandRecord, getSeparatorRowStyle, getShowAllColumns, getShowAllRecords, getShowAsynchGroupingPrompt, getShowBackgroundComponents, getShowCellContextMenus, getShowClippedHeaderTitlesOnHover, getShowClippedValuesOnHover, getShowCollapsedGroupSummary, getShowComplexFields, getShowDetailFields, getShowDropLines, getShowDropOverRollOver, getShowEllipsisWhenClipped, getShowEmptyMessage, getShowErrorIcons, getShowExpansionEditorSaveButton, getShowFilterEditor, getShowFilterEditorHovers, getShowFilterEditorTitle, getShowFilterWindowCriteriaIndicator, getShowGridSummary, getShowGroupSummary, getShowGroupSummaryInHeader, getShowGroupTitleColumn, getShowGroupTitleInFrozenBody, getShowHeader, getShowHeaderContextMenu, getShowHeaderMenuButton, getShowHeaderPartialSelection, getShowHeaderSeparators, getShowHeaderShadow, getShowHeaderSpanContextMenu, getShowHeaderSpanTitlesInFormulaBuilder, getShowHeaderSpanTitlesInHiliteEditor, getShowHeaderSpanTitlesInSortEditor, getShowHiddenFields, getShowHilitesInGroupSummary, getShowHover, getShowHoverComponents, getShowHoverOnDisabledCells, getShowInitialDragHandles, getShowLastHeaderSeparators, getShowNewRecordRow, getShowPartialSelection, getShowRecordComponents, getShowRecordComponentsByCell, getShowRollOver, getShowRollOverCanvas, getShowRollOverInExpansion, getShowRollUnderCanvas, getShowRowNumbers, getShowSavedSearchesByDS, getShowSelectedRollOverCanvas, getShowSelectedRollUnderCanvas, getShowSelectedStyle, getShowSelectionCanvas, getShowSelectionUnderCanvas, getShowSortArrow, getShowSortNumerals, getShowTreeColumnPicker, getShrinkForFreeze, getSingleCellValueProperty, getSkipLineBreaks, getSort, getSortArrowMenuButtonSpaceOffset, getSortAscendingImage, getSortAscendingImageAsImgHTMLProperties, getSortBinaryByFileName, getSortByGroupFirst, getSortDescendingImage, getSortDescendingImageAsImgHTMLProperties, getSortDirection, getSortEditorSpanTitleSeparator, getSorterButtonTitle, getSortField, getSortFieldAscendingText, getSortFieldCount, getSortFieldDescendingText, getSortNumeralHTML, getSortNumeralMenuButtonSpaceOffset, getSortNumeralStyle, getSortSpecifier, getSortState, getSpanContextMenu, getSpannedHeaderBaseStyle, getSparseFieldState, getStopOnErrors, getStyledRowEnds, getStyleName, getSummaryFieldValue, getSummaryRow, getSummaryRowCriteria, getSummaryRowDataSource, getSummaryRowFetchRequestProperties, getSummaryRowHeight, getSummaryRowStyle, getTableRowStyle, getTallBaseStyle, getTitleField, getTitleFieldValue, getToggleFreezeText, getTotalRows, getTouchScrollRedrawDelay, getTrackerImage, getTrackerImageAsImgHTMLProperties, getUnfreezeFieldText, getUngroupText, getUnknownRowCountDisplayValue, getUnremoveIcon, getUpdateOperation, getUpdateSummariesDuringEditing, getUseAdvancedCriteria, getUseAdvancedFieldPicker, getUseAllDataSourceFields, getUseCellRollOvers, getUseClientFiltering, getUseCopyPasteShortcuts, getUseFlatFields, getUseLegacyDefaultFormattedValue, getUseMultiSelectForFilterValueMaps, getUserCriteriaState, getUseRemoteValidators, getUseRowSpanStyling, getValidateByCell, getValidateOnChange, getValueIcon, getValueIconCursor, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getViewState, getVirtualScrolling, getVisibleRows, getWaitForSave, getWarnOnRemoval, getWarnOnRemovalMessage, getWarnOnUnmappedValueFieldChange, getWrapCells, getWrapHeaderSpanTitles, getWrapHeaderTitles, groupBy, groupSortNormalizer, hasChanges, hasChanges, hasErrors, headerHoverHTML, headerTitleClipped, hideDragHandles, hideField, hideField, hideFields, hideFields, hideFields, hideFields, hiliteViaAI, hiliteViaAI, hiliteViaAI, invalidateCache, invalidateRecordComponents, isCheckboxField, isExpanded, isExpansionField, isExportingClientData, isGrouped, isGroupNode, isPartiallySelected, isRowNumberField, isSelected, isSortField, isSummaryRecord, loadAllRecords, loadAllRecords, loadAllRecords, markForRedraw, markForRedraw, markRecordRemoved, markRecordsRemoved, markRecordsRemoved, markRecordsRemoved, markSelectionRemoved, onInit, onInit_ListGrid, openGroup, openRecordDetailGrid, openRecordEditor, preloadImages, recalculateGridSummary, recalculateSummaries, recalculateSummaries, recalculateSummaries, recordClick, recordMarkedAsRemoved, redrawHeader, refreshCell, refreshCell, refreshCellStyle, refreshData, refreshData, refreshFields, refreshRecordComponent, refreshRecordComponent, refreshRow, regroup, removeData, removeData, removeData, removeEmbeddedComponent, removeEmbeddedComponent, removeEmbeddedComponent, removeRecordClick, removeSelectedData, removeSelectedData, removeSelectedData, removeSelectedData, reorderField, reorderFields, resizeField, resort, rowClick, rowClick, rowDoubleClick, rowDoubleClick, rowHasChanges, rowHasChanges, rowHasErrors, saveAllEdits, saveAllEdits, saveAllEdits, saveEdits, saveEdits, saveEdits, saveEdits, scrollBodyTo, scrollToCell, scrollToCell, scrollToCell, scrollToColumn, scrollToColumn, scrollToRow, scrollToRow, selectAllRecords, selectRange, selectRange, selectRecord, selectRecord, selectRecord, selectRecord, selectRecords, selectRecords, selectRecords, selectRecords, selectSingleRecord, selectSingleRecord, setAddDropValues, setAddFormulaFieldText, setAddOperation, setAddSummaryFieldText, setAdvancedFieldPickerThreshold, setAdvancedFilteringText, setAiFilterWindowHint, setAiFilterWindowInstructions, setAiFilterWindowTitle, setAiHoverContentsPrefix, setAiHoverRetryDelay, setAiSortFieldMaxRecordsMessage, setAllowFilterExpressions, setAllowFilterOperators, setAllowFilterWindow, setAllowRowSpanning, setAlternateBodyStyleName, setAlternateFieldFrequency, setAlternateFieldStyles, setAlternateFieldSuffix, setAlternateRecordFrequency, setAlternateRecordStyles, setAlternateRecordSuffix, setAlwaysShowEditors, setAlwaysShowOperatorIcon, setAnimateFolderEffect, setAnimateFolderMaxRows, setAnimateFolders, setAnimateFolderSpeed, setAnimateFolderTime, setAnimateRemoveRecord, setAnimateRemoveSpeed, setAnimateRemoveTime, setAnimateRollOver, setAnimateRollUnder, setAnimateSelection, setAnimateSelectionUnder, setApplyFormulaAfterSummary, setApplyRowCountToLength, setApplyRowNumberStyle, setApproximateRowCountFormat, setAriaRole, setArrowKeyAction, setArrowKeyEditAction, setAsyncErrorCellValue, setAsynchGroupingPrompt, setAsyncMissingCellValue, setAutoChildProperties, setAutoComplete, setAutoConfirmSaveEdits, setAutoFetchAsFilter, setAutoFetchData, setAutoFetchDisplayMap, setAutoFetchRowCount, setAutoFetchTextMatchStyle, setAutoFitAllText, setAutoFitClipFields, setAutoFitData, setAutoFitDateFields, setAutoFitExpandField, setAutoFitExtraRecords, setAutoFitFieldsFillViewport, setAutoFitFieldText, setAutoFitFieldWidths, setAutoFitHeaderHeights, setAutoFitIconFields, setAutoFitMaxColumns, setAutoFitMaxHeight, setAutoFitMaxRecords, setAutoFitMaxWidth, setAutoFitMaxWidth, setAutoFitTimeFields, setAutoFitWidth, setAutoFitWidthApproach, setAutoPersistViewState, setAutoSaveEdits, setAutoSizeHeaderSpans, setBadFormulaResultValue, setBlockingRowCountFetch, setBodyBackgroundColor, setBodyOverflow, setBodyStyleName, setBooleanBaseStyle, setBooleanFalseImage, setBooleanImageHeight, setBooleanImageWidth, setBooleanPartialImage, setBooleanTrueImage, setBriefRowRangeDisplayValue, setCanAcceptDroppedRecords, setCanAddAISortFields, setCanAddFormulaFields, setCanAddSummaryFields, setCanAutoFitFields, setCancelEditingConfirmationMessage, setCanCollapseGroup, setCanConfigureViaAI, setCanDragRecordsOut, setCanDragSelect, setCanDragSelectText, setCanDropInEmptyArea, setCanEdit, setCanEditHilites, setCanEditTitles, setCanExpandMultipleRecords, setCanExpandRecordProperty, setCanExpandRecords, setCanFocusInEmptyGrid, setCanFreezeFields, setCanGroupBy, setCanHiliteViaAI, setCanHover, setCanMultiGroup, setCanMultiSort, setCanPickFields, setCanPickOmittedFields, setCanRemoveRecords, setCanReorderFields, setCanReorderRecords, setCanRequestRowCount, setCanResizeFields, setCanSelectAll, setCanSelectCells, setCanSelectGroups, setCanSelectRecordCustomizer, setCanSelectSummaryRows, setCanShowFilterEditor, setCanSort, setCanTabToHeader, setCanTabToSorter, setCellContextMenuItemsCustomizer, setCellCSSTextCustomizer, setCellFormatter, setCellHeight, setCellPadding, setCellRole, setCellValueHoverFormatter, setChartConstructor, setChartType, setCheckboxFieldFalseImage, setCheckboxFieldImageHeight, setCheckboxFieldImageWidth, setCheckboxFieldPartialImage, setCheckboxFieldProperties, setCheckboxFieldTrueImage, setChildExpansionMode, setClearAllSortingText, setClearCriteriaOnFilterEditorHide, setClearFilterText, setClearFilterViaAIText, setClearSortFieldText, setClipHeaderTitles, setCollapseGroupOnRowClick, setConfigureGroupingText, setConfigureSortText, setConfigureViaAIText, setConfirmCancelEditing, setConfirmDiscardEdits, setConfirmDiscardEditsMessage, setCriteria, setCriteriaIndicatorColor, setCriteriaIndicatorHeaderColor, setData, setData, setData, setDataArity, setDataFetchDelay, setDataFetchMode, setDataPageSize, setDataProperties, setDataSource, setDataSource, setDataSource, setDateFormatter, setDateInputFormat, setDatetimeFormatter, setDeepCloneOnEdit, setDefaultDateFieldWidth, setDefaultDateTimeFieldWidth, setDefaultEditableDateFieldWidth, setDefaultEditableDateTimeFieldWidth, setDefaultFields, setDefaultFieldWidthCustomizer, setDefaultFilterOperator, setDefaultFilterOperatorSuffix, setDefaultProperties, setDefaultTimeFieldWidth, setDeferRemoval, setDeselectOnPartialCheckboxClick, setDetailDS, setDetailDS, setDetailField, setDisabledGroupByPrompt, setDiscardDataOnSetFetchOperation, setDiscardEditsOnHideField, setDiscardEditsSaveButtonTitle, setDontAutoDestroyComponent, setDragDataAction, setDragDataCustomizer, setDragHandleFieldTitle, setDragHandleIcon, setDragHandleIconSize, setDragRecategorize, setDragScrollRedrawDelay, setDragTrackerIconCustomizer, setDragTrackerMode, setDragTrackerStyle, setDragTrackerTitleCustomizer, setDrawAheadRatio, setDrawAllMaxCells, setDropValues, setDuplicateDragMessage, setEditByCell, setEditEvent, setEditFailedBaseStyle, setEditFailedCSSText, setEditFormulaFieldText, setEditOnF2Keypress, setEditOnFocus, setEditorCustomizer, setEditorValueMap, setEditorValueMap, setEditPendingBaseStyle, setEditPendingCSSText, setEditPendingMarkerStyle, setEditProxyConstructor, setEditSelectionType, setEditSummaryFieldText, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValue, setEditValues, setEmbeddedComponentIndent, setEmbeddedComponentMargin, setEmptyAIHoverContents, setEmptyCellValue, setEmptyMessage, setEmptyMessageStyle, setEmptyRowRangeDisplayValue, setEnforceVClipping, setEnterKeyEditAction, setEnumCriteriaAsInitialValues, setErrorIconHeight, setErrorIconSrc, setErrorIconWidth, setEscapeKeyEditAction, setExactRowCountFormat, setExpansionCanEdit, setExpansionComponentPoolingMode, setExpansionEditorSaveDialogPrompt, setExpansionEditorShowSaveDialog, setExpansionFieldFalseImage, setExpansionFieldImageHeight, setExpansionFieldImageShowRTL, setExpansionFieldImageShowSelected, setExpansionFieldImageStyle, setExpansionFieldImageWidth, setExpansionFieldTrueImage, setExpansionIndent, setExpansionMode, setExpansionScreen, setExplicitFetchDelay, setExportAll, setExportAlternateRowBGColor, setExportColumnWidthPadding, setExportDefaultBGColor, setExportFieldAlignments, setExportFields, setExportFieldWidths, setExportHeaderHeights, setExportHiddenFieldWidth, setExportIncludeSummaries, setExportRawNumbers, setExportRawValues, setExportWidthScale, setExportWrapCells, setExportWrapHeaderTitles, setFastCellUpdates, setFetchDelay, setFetchFields, setFetchFields, setFetchOperation, setFetchRequestProperties, setFieldButtonProperties, setFieldCellIcon, setFieldCriteriaText, setFieldError, setFieldError, setFieldHeaderBaseStyle, setFieldHeaderTitleStyle, setFieldIcon, setFieldMaxWidth, setFieldMinWidth, setFieldPickerFieldProperties, setFieldPickerShowSampleValues, setFieldProperties, setFieldProperties, setFields, setFields, setFieldSearchOperator, setFieldState, setFieldTitle, setFieldTitle, setFieldVisibilitySubmenuTitle, setFilterButtonPrompt, setFilterButtonProperties, setFilterByCell, setFilterEditorCriteria, setFilterEditorHeight, setFilterEditorProperties, setFilterEditorProperties, setFilterLocalData, setFilterOnKeypress, setFilterUsingText, setFilterViaAIMode, setFilterViaAIPanelInstructions, setFilterViaAIText, setFilterWindowCriteria, setFilterWindowInstructions, setFilterWindowTitle, setFirstCellStyle, setFixedFieldWidths, setFixedRecordHeights, setFormulaBuilderSpanTitleSeparator, setFreezeFieldText, setFrozenBaseStyle, setFrozenBodyStyleName, setFrozenFieldsMaxWidth, setFrozenFieldsMaxWidth, setFrozenHeaderBaseStyle, setFrozenHeaderTitleStyle, setFullRowRangeDisplayValue, setGenerateClickOnEnter, setGenerateClickOnSpace, setGenerateDoubleClickOnEnter, setGenerateDoubleClickOnSpace, setGridAdditionalCriteriaText, setGridComponents, setGridComponents, setGridSummaryRecordProperty, setGroupByAsyncThreshold, setGroupByField, setGroupByField, setGroupByFieldSummaries, setGroupByMaxRecords, setGroupByMaxRecordsExceededMessage, setGroupByText, setGroupIcon, setGroupIconSize, setGroupIconStyle, setGroupIndentSize, setGroupLeadingIndent, setGroupNodeBaseStyle, setGroupNodeStyle, setGroupSortDirection, setGroupSortNormalizer, setGroupStartOpen, setGroupStartOpen, setGroupState, setGroupSummaryRecordProperty, setGroupSummaryStyle, setGroupTitleColumnProperties, setGroupTitleField, setHeaderAriaRole, setHeaderAutoFitEvent, setHeaderBackgroundColor, setHeaderBarStyle, setHeaderBaseStyle, setHeaderButtonAriaRole, setHeaderButtonAriaState, setHeaderButtonProperties, setHeaderHeight, setHeaderHoverAlign, setHeaderHoverFormatter, setHeaderHoverHeight, setHeaderHoverOpacity, setHeaderHoverStyle, setHeaderHoverVAlign, setHeaderHoverWidth, setHeaderHoverWrap, setHeaderMenuButtonHeight, setHeaderMenuButtonHeight, setHeaderMenuButtonIcon, setHeaderMenuButtonIconHeight, setHeaderMenuButtonIconWidth, setHeaderMenuButtonSnapOffsetLeft, setHeaderMenuButtonWidth, setHeaderRadius, setHeaderShadowColor, setHeaderShadowHOffset, setHeaderShadowSoftness, setHeaderShadowVOffset, setHeaderSpanBaseStyle, setHeaderSpanButtonProperties, setHeaderSpanHeaderTitle, setHeaderSpanHeight, setHeaderSpans, setHeaderSpanTitle, setHeaderSpanTitleStyle, setHeaderTitleStyle, setHeaderTitleVAlign, setHideEmptySummaryRow, setHideFilterEditorTitle, setHideOnPhone, setHideOnTablet, setHiliteCanReplaceValue, setHiliteEditorSpanTitleSeparator, setHiliteHTMLAfterFormat, setHiliteIconHeight, setHiliteIconLeftPadding, setHiliteIconPosition, setHiliteIconRightPadding, setHiliteIcons, setHiliteIconSize, setHiliteIconWidth, setHiliteProperty, setHiliteReplaceValueFieldTitle, setHiliteRowOnFocus, setHilites, setHiliteState, setHiliteViaAIMode, setHiliteViaAIText, setHoverCustomizer, setHoverMode, setHoverScreen, setHoverStyle, setIconCursor, setIconPadding, setImageSize, setImplicitCriteria, setImplicitCriteria, setImplicitCriteria, setInactiveCellFormatter, setIncludeHilitesInSummaryFields, setIncludeInSummaryProperty, setInitialCriteria, setInitialSort, setInstantScrollTrackRedraw, setInvalidSummaryValue, setIsSeparatorProperty, setLastCellStyle, setLeaveHeaderMenuButtonSpace, setLeaveScrollbarGap, setLinkTextProperty, setLinkTextStyleName, setListEndEditAction, setLoadingDataMessage, setLoadingDataMessageStyle, setLoadingMessage, setLoadingRowCountDisplayIcoHeight, setLoadingRowCountDisplayIcon, setLoadingRowCountDisplayIconWidth, setLocateColumnsBy, setLocateRowsBy, setLogicalStructure, setLongTextEditorThreshold, setLongTextEditorType, setMaxExpandedRecords, setMaxExpandedRecordsPrompt, setMaximumRowCountFormat, setMaxSummaryRowRecords, setMinFieldWidth, setMinHeight, setMinimumCellHeight, setMinimumRowCountFormat, setMissingSummaryFieldValue, setModalEditing, setMultiGroupDialogDefaults, setMultiGroupDialogProperties, setMultiSortDialogDefaults, setMultiSortDialogProperties, setNavigateOnTab, setNeverValidate, setNewRecordRowMessage, setNewSearchText, setNormalBaseStyle, setNormalCellHeight, setNoSavedSearchesText, setNullGroupTitle, setOfflineMessageStyle, setOriginBaseStyle, setOverflow, setPendingAsyncCellValue, setPlaceholderAIHoverContents, setPoolComponentsPerColumn, setPreserveFocusStylingOnMouseOut, setPreserveWhitespace, setPreventDuplicates, setPrintAutoFit, setPrintBaseStyle, setPrintBooleanBaseStyle, setPrintBooleanFalseImage, setPrintBooleanPartialImage, setPrintBooleanTrueImage, setPrintCheckboxFieldFalseImage, setPrintCheckboxFieldPartialImage, setPrintCheckboxFieldTrueImage, setPrintHeaderStyle, setPrintMaxRows, setPrintWrapCells, setProgressiveLoading, setQuickDrawAheadRatio, setRangeRowCountFormat, setRecordBaseStyleProperty, setRecordCanRemoveProperty, setRecordCanSelectProperty, setRecordCellRoleProperty, setRecordComponentHeight, setRecordComponentPoolingMode, setRecordComponentPosition, setRecordDetailDSProperty, setRecordDropAppearance, setRecordEditProperty, setRecordEnabledProperty, setRecordRadius, setRecordRadiusTargets, setRecordRowAriaStateProperty, setRecordRowRoleProperty, setRecords, setRecordScreen, setRecordShowRollOverProperty, setRecordSummaryAttributePrefix, setRemovedCSSText, setRemoveFieldProperties, setRemoveFieldTitle, setRemoveIcon, setRemoveIconSize, setRemoveIconStyle, setRemoveOperation, setReselectOnUpdate, setReselectOnUpdateNotifications, setResizeFieldsInRealTime, setReverseRTLAlign, setRollOverCanvasProperties, setRollUnderCanvasProperties, setRotatedHeaderMenuButtonHeight, setRotatedHeaderMenuButtonHeight, setRotatedHeaderMenuButtonWidth, setRotateHeaderTitles, setRowAriaState, setRowCountDisplayPrecision, setRowEndEditAction, setRowErrors, setRowErrors, setRowLocatorField, setRowLocatorField, setRowNumberFieldProperties, setRowNumberStart, setRowNumberStyle, setRowRangeDisplayStyle, setRowRangeFormat, setRowRole, setRowSpanEditMode, setRowSpanSelectionMode, setSaveByCell, setSaveCriteriaInViewState, setSaveDefaultSearch, setSavedSearchAdminRole, setSavedSearchDS, setSavedSearchId, setSavedSearchStoredState, setSavedSearchText, setSaveLocally, setSaveRequestProperties, setScreenReaderCellSeparator, setScreenReaderIncludeFieldTitles, setScreenReaderNavigateByCell, setScreenReaderRowSeparator, setScreenReaderWriteRowLabelledBy, setScrollRedrawDelay, setScrollToCellXPosition, setScrollToCellYPosition, setScrollWheelRedrawDelay, setSearchForm, setSearchForm, setSelectCellTextOnClick, setSelectedState, setSelectHeaderOnSort, setSelectionAppearance, setSelectionCanvasProperties, setSelectionProperty, setSelectionType, setSelectionUnderCanvasProperties, setSelectOnEdit, setSelectOnExpandRecord, setSeparatorRowStyle, setShowAllColumns, setShowAllRecords, setShowAsynchGroupingPrompt, setShowBackgroundComponents, setShowCellContextMenus, setShowClippedHeaderTitlesOnHover, setShowClippedValuesOnHover, setShowCollapsedGroupSummary, setShowComplexFields, setShowDetailFields, setShowDropLines, setShowDropOverRollOver, setShowEllipsisWhenClipped, setShowEmptyMessage, setShowErrorIcons, setShowFilterEditor, setShowFilterEditorHovers, setShowFilterEditorTitle, setShowFilterWindowCriteriaIndicator, setShowGridSummary, setShowGroupSummary, setShowGroupSummaryInHeader, setShowGroupTitleColumn, setShowGroupTitleInFrozenBody, setShowHeader, setShowHeaderContextMenu, setShowHeaderMenuButton, setShowHeaderPartialSelection, setShowHeaderSeparators, setShowHeaderShadow, setShowHeaderSpanContextMenu, setShowHeaderSpanTitlesInFormulaBuilder, setShowHeaderSpanTitlesInHiliteEditor, setShowHeaderSpanTitlesInSortEditor, setShowHiddenFields, setShowHilitesInGroupSummary, setShowHover, setShowHoverComponents, setShowHoverOnDisabledCells, setShowInitialDragHandles, setShowLastHeaderSeparators, setShowNewRecordRow, setShowPartialSelection, setShowRecordComponents, setShowRecordComponentsByCell, setShowRollOver, setShowRollOverCanvas, setShowRollOverInExpansion, setShowRollUnderCanvas, setShowRowNumbers, setShowSavedSearchesByDS, setShowSelectedRollOverCanvas, setShowSelectedRollUnderCanvas, setShowSelectedStyle, setShowSelectionCanvas, setShowSelectionUnderCanvas, setShowSortArrow, setShowSortNumerals, setShowTreeColumnPicker, setShrinkForFreeze, setSingleCellValueProperty, setSkipLineBreaks, setSort, setSortArrowMenuButtonSpaceOffset, setSortAscendingImage, setSortAscendingImage, setSortBinaryByFileName, setSortByGroupFirst, setSortDescendingImage, setSortDescendingImage, setSortDirection, setSortEditorSpanTitleSeparator, setSorterButtonTitle, setSortField, setSortField, setSortField, setSortFieldAscendingText, setSortFieldDescendingText, setSortNumeralHTMLCustomizer, setSortNumeralMenuButtonSpaceOffset, setSortNumeralStyle, setSortState, setSpannedHeaderBaseStyle, setSparseFieldState, setStopOnErrors, setStyledRowEnds, setStyleName, setSummaryRowCriteria, setSummaryRowDataSource, setSummaryRowFetchRequestProperties, setSummaryRowHeight, setSummaryRowStyle, setTableRowStyle, setTallBaseStyle, setTitleField, setTouchScrollRedrawDelay, setTrackerImage, setTrackerImage, setUnfreezeFieldText, setUngroupText, setUnknownRowCountDisplayValue, setUnremoveIcon, setUpdateOperation, setUpdateSummariesDuringEditing, setUseAdvancedCriteria, setUseAdvancedFieldPicker, setUseAllDataSourceFields, setUseCellRollOvers, setUseClientFiltering, setUseCopyPasteShortcuts, setUseFlatFields, setUseLegacyDefaultFormattedValue, setUseMultiSelectForFilterValueMaps, setUserCriteriaState, setUseRemoteValidators, setUserFormula, setUserFormula, setUserFormula, setUserFormulaText, setUserFormulaText, setUserFormulaText, setUseRowSpanStyling, setUserSummary, setUserSummary, setUserSummary, setUserSummaryText, setUserSummaryText, setUserSummaryText, setValidateByCell, setValidateOnChange, setValueIconHeight, setValueIconLeftPadding, setValueIconRightPadding, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setViewState, setVirtualScrolling, setWaitForSave, setWarnOnRemoval, setWarnOnRemovalMessage, setWarnOnUnmappedValueFieldChange, setWrapCells, setWrapHeaderSpanTitles, setWrapHeaderTitles, shouldIncludeHiliteInSummaryField, showAIFilterWindow, showAIHiliteWindow, showDragHandles, showField, showField, showFields, showFields, showFields, showFields, showFilterWindow, showRecordComponent, sort, sort, sort, sort, startEditing, startEditing, startEditing, startEditing, startEditingNew, startEditingNew, startEditingNew, startEditingNew, stopHover, summaryUpdated, toggleSort, transferRecords, transferSelectedData, transferSelectedData, unfreezeField, unfreezeField, unfreezeField, unfreezeField, unfreezeFields, unfreezeFields, ungroup, unmarkRecordRemoved, unsort, updateData, updateData, updateData, updateRecordComponent, userSelectAllRecords, validateCell, validateCell, validateRow, willAcceptDrop, willFetchData, willFetchData`

  ### Methods inherited from class com.smartgwt.client.widgets.layout.VLayout

  `setDefaultProperties, setLogicalStructure`

  ### Methods inherited from class com.smartgwt.client.widgets.layout.Layout

  `addMember, addMember, addMember, addMember, addMemberPostCreate, addMemberPostCreate, addMemberPreCreate, addMemberPreCreate, addMembers, addMembers, addMembersChangedHandler, getAnimateMembers, getAnimateMemberTime, getCanDropComponents, getChildTabPosition, getDefaultResizeBars, getDropComponent, getDropLine, getDropLineThickness, getDropPosition, getEnforcePolicy, getHPolicy, getLayoutBottomMargin, getLayoutEndMargin, getLayoutLeftMargin, getLayoutMargin, getLayoutRightMargin, getLayoutStartMargin, getLayoutTopMargin, getLocateMembersBy, getLocateMembersType, getManagePercentBreadth, getMember, getMember, getMemberDefaultBreadth, getMemberNumber, getMemberNumber, getMemberOverlap, getMembers, getMembersLength, getMembersMargin, getMinMemberLength, getMinMemberSize, getPaddingAsLayoutMargin, getResizeBar, getResizeBarClass, getResizeBarSize, getReverseOrder, getShowDragPlaceHolder, getStackZIndex, getVertical, getVPolicy, hasMember, hideDropLine, hideMember, hideMember, layoutIsDirty, onInit_Layout, reflow, reflow, reflowNow, removeMember, removeMembers, removeMembers, reorderMember, reorderMembers, replaceMember, revealChild, revealChild, setAlign, setAlign, setAnimateMembers, setAnimateMemberTime, setCanDropComponents, setDefaultLayoutAlign, setDefaultLayoutAlign, setDefaultProperties, setDefaultResizeBars, setDropLineProperties, setDropLineThickness, setEnforcePolicy, setHPolicy, setLayoutBottomMargin, setLayoutEndMargin, setLayoutLeftMargin, setLayoutMargin, setLayoutRightMargin, setLayoutStartMargin, setLayoutTopMargin, setLocateMembersBy, setLocateMembersType, setLogicalStructure, setManagePercentBreadth, setMemberOverlap, setMembers, setMembersMargin, setMinBreadthMember, setMinBreadthMember, setMinBreadthMember, setMinMemberLength, setMinMemberSize, setPaddingAsLayoutMargin, setPlaceHolderDefaults, setPlaceHolderProperties, setResizeBarClass, setResizeBarSize, setReverseOrder, setShowDragPlaceHolder, setStackZIndex, setVertical, setVisibleMember, setVPolicy, showMember, showMember`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, dataContextChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContextMenu, getCorrectZoomOverflow, getCursor, getDataContext, getDataPath, getDefaultHeight, getDefaultWidth, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentElement, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSizeMayChangeOnRedraw, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getTabIndex, getTestDataContext, getTitle, getTooltip, getTop, getTopAsString, getTopElement, getUISummary, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDragMask, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getWorkflows, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataPath, setDefaultHeight, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSizeMayChangeOnRedraw, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setTabIndex, setTestDataContext, setTitle, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDragMask, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startDebuggingOverflow, stopDebuggingOverflow, supportsValueDictation, supportsVoiceCommands, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.smartgwt.client.widgets.DataBoundComponent

  `getOrCreateJsObj`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### RecordEditor

    public RecordEditor()

  - ### RecordEditor

    public RecordEditor(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static RecordEditor getOrCreateRef(JavaScriptObject jsObj)

  - ### getTestInstance

    protected RecordEditor getTestInstance()
    Overrides:
      `getTestInstance` in class `ListGrid`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `ListGrid`

  - ### setActionButtonProperties

    public RecordEditor setActionButtonProperties(Button actionButtonProperties) throws IllegalStateException
    Properties to apply to the automatically generated `actionButton`.

    Note that for a recordEditor being used as a `ListGrid.filterEditor`, the `ListGrid.filterButtonProperties` can be used to specify actionButton properties directly at the grid level.

    Note : This is an advanced setting

    Parameters:
      `actionButtonProperties` - New actionButtonProperties value. Default value is null
    Returns:
      `RecordEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SGWTProperties`

  - ### getActionButtonProperties

    public Button getActionButtonProperties()
    Properties to apply to the automatically generated `actionButton`.

    Note that for a recordEditor being used as a `ListGrid.filterEditor`, the `ListGrid.filterButtonProperties` can be used to specify actionButton properties directly at the grid level.

    Returns:
      Current actionButtonProperties value. Default value is null

  - ### setActionButtonStyle

    public RecordEditor setActionButtonStyle(String actionButtonStyle) throws IllegalStateException
    `baseStyle` for the `actionButton`
    Parameters:
      `actionButtonStyle` - New actionButtonStyle value. Default value is "normal"
    Returns:
      `RecordEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `CSSStyleName`

  - ### getActionButtonStyle

    public String getActionButtonStyle()
    `baseStyle` for the `actionButton`
    Returns:
      Current actionButtonStyle value. Default value is "normal"
    See Also:
      - `CSSStyleName`

  - ### setBaseStyle

    public RecordEditor setBaseStyle(String baseStyle) throws IllegalStateException
    `base cell style` for this listGrid. If this property is unset, base style may be derived from `ListGrid.normalBaseStyle` or `ListGrid.tallBaseStyle` as described in `ListGrid.getBaseStyle()`.

    See `CellStyleSuffixes` for details on how stateful suffixes are combined with the base style to generate stateful cell styles.

    Overrides:
      `setBaseStyle` in class `ListGrid`
    Parameters:
      `baseStyle` - New baseStyle value. Default value is "recordEditorCell"
    Returns:
      `RecordEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### getBaseStyle

    public String getBaseStyle()
    `base cell style` for this listGrid. If this property is unset, base style may be derived from `ListGrid.normalBaseStyle` or `ListGrid.tallBaseStyle` as described in `ListGrid.getBaseStyle()`.

    See `CellStyleSuffixes` for details on how stateful suffixes are combined with the base style to generate stateful cell styles.

    Overrides:
      `getBaseStyle` in class `ListGrid`
    Returns:
      Current baseStyle value. Default value is "recordEditorCell"
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### setCanSaveSearches

    public RecordEditor setCanSaveSearches(boolean canSaveSearches) throws IllegalStateException
    CanSaveSearches is explicitly disabled for RecordEditors by default.
    Overrides:
      `setCanSaveSearches` in class `ListGrid`
    Parameters:
      `canSaveSearches` - New canSaveSearches value. Default value is false
    Returns:
      `RecordEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getCanSaveSearches

    public boolean getCanSaveSearches()
    CanSaveSearches is explicitly disabled for RecordEditors by default.
    Overrides:
      `getCanSaveSearches` in class `ListGrid`
    Returns:
      Current canSaveSearches value. Default value is false

  - ### setFilterImg

    public RecordEditor setFilterImg(String filterImg) throws IllegalStateException
    `Icon` to show on the `actionButton` if this component is being used as a `ListGrid.filterEditor`.

    Note that this `SCImgURL` will be resolved using the `skinImgDir` defined for the RecordEditor.

    Parameters:
      `filterImg` - New filterImg value. Default value is "[SKIN]filter.png"
    Returns:
      `RecordEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getFilterImg

    public String getFilterImg()
    `Icon` to show on the `actionButton` if this component is being used as a `ListGrid.filterEditor`.

    Note that this `SCImgURL` will be resolved using the `skinImgDir` defined for the RecordEditor.

    Returns:
      Current filterImg value. Default value is "[SKIN]filter.png"
    See Also:
      - `SCImgURL`

  - ### setRecordSummaryBaseStyle

    public RecordEditor setRecordSummaryBaseStyle(String recordSummaryBaseStyle) throws IllegalStateException
    If showing any record summary fields (IE: fields of `type:"summary"`), this attribute specifies a custom base style to apply to cells in the summary field
    Overrides:
      `setRecordSummaryBaseStyle` in class `ListGrid`
    Parameters:
      `recordSummaryBaseStyle` - New recordSummaryBaseStyle value. Default value is "recordEditorCell"
    Returns:
      `RecordEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `CSSStyleName`

  - ### getRecordSummaryBaseStyle

    public String getRecordSummaryBaseStyle()
    If showing any record summary fields (IE: fields of `type:"summary"`), this attribute specifies a custom base style to apply to cells in the summary field
    Overrides:
      `getRecordSummaryBaseStyle` in class `ListGrid`
    Returns:
      Current recordSummaryBaseStyle value. Default value is "recordEditorCell"
    See Also:
      - `CSSStyleName`

  - ### setSkinImgDir

    public RecordEditor setSkinImgDir(String skinImgDir) throws IllegalStateException
    Where do 'skin' images (those provided with the class) live?
    Overrides:
      `setSkinImgDir` in class `ListGrid`
    Parameters:
      `skinImgDir` - New skinImgDir value. Default value is "images/RecordEditor/"
    Returns:
      `RecordEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getSkinImgDir

    public String getSkinImgDir()
    Where do 'skin' images (those provided with the class) live?
    Overrides:
      `getSkinImgDir` in class `ListGrid`
    Returns:
      Current skinImgDir value. Default value is "images/RecordEditor/"
    See Also:
      - `SCImgURL`

  - ### setSuppressNullValueFormat

    public RecordEditor setSuppressNullValueFormat(boolean suppressNullValueFormat) throws IllegalStateException
    Should non-editable fields within this record-editor always display the `empty cell value` for null values rather than running any specified `static formatters`?

    This setting allows developers to easily account for the fact that a custom formatter for empty cells in a listGrid is often not appropriate to display in the filter editor for a `canFilter:false` field with no specified criterion.

    Note : This is an advanced setting

    Parameters:
      `suppressNullValueFormat` - New suppressNullValueFormat value. Default value is true
    Returns:
      `RecordEditor` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getSuppressNullValueFormat

    public boolean getSuppressNullValueFormat()
    Should non-editable fields within this record-editor always display the `empty cell value` for null values rather than running any specified `static formatters`?

    This setting allows developers to easily account for the fact that a custom formatter for empty cells in a listGrid is often not appropriate to display in the filter editor for a `canFilter:false` field with no specified criterion.

    Returns:
      Current suppressNullValueFormat value. Default value is true

  - ### performAction

    public void performAction()
    Fired when the user clicks the `actionButton` for this RecordEditor. May also be triggered from other user interaction with edit values (for example filter-editor change - see `ListGrid.filterOnKeypress`).

    This is the method which initiates a filter in a listGrid `filter editor`. Note that for custom filtering behavior, developers can use the `ListGrid.filterEditorSubmit()` notification method rather than overriding this method directly.

  - ### setDefaultProperties

    public static void setDefaultProperties(RecordEditor recordEditorProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `recordEditorProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### getActionButton

    @Deprecated public Button getActionButton() throws IllegalStateException
    Deprecated.
    in favor of `getActionCanvas()`
    See `getActionCanvas()`.
    Throws:
      `IllegalStateException`

  - ### getActionCanvas

    public StatefulCanvas getActionCanvas() throws IllegalStateException
    Automatically created Button auto-child shown at the edge of the recordEditor. For a recordEditor acting as a `ListGrid.filterEditor`, this button will show the `filterImg` as an `Button.icon` by default.

    Clicking this button will call `performAction()` on the editor.

    May be customized using the standard `com.smartgwt.client.types.AutoChild` pattern, by overriding `actionButtonProperties`.

    This component is an AutoChild named "actionButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current actionButton value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(RecordEditorLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `ListGrid`